Higher priority

Test with more classes, especially classes with templates

Return result code

Add command-line options:

--verbose
	produce diagnostic information about the location and types of 
	errors (default: no diagnostic information)
	
--flag-errors
	flag possible errors by placing <!-- WARNING: ..... --> (comment) in
	XML output (do not flag errors in XML output)




Lower priority

Enums that are assigned values using expressions (e.g. Fruit << 3,
Orange + 1) are not computed correctly, which also causes incorrect
values for subsequent members of the enum type. Fixing this would
require a substantially-enhanced parser capable of evaluating
constant expressions. This is unlikely to be fixed in the forseeable
future

Q_PROPERTY and Q_OVERRIDE are ignored
